@font-face {
    font-family: 'Muller Next Wide';
    src: url('/assets/fonts/Muller Next Wide Trial.woff2') format('woff2'),
    url('/assets/fonts/Muller Next Wide Trial.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


@font-face {
    font-family: 'Muller Next Wide';
    src: url('/assets/fonts/Muller Next Wide Trial Heavy.woff2') format('woff2'),
    url('/assets/fonts/Muller Next Wide Trial Heavy.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Muller Next Wide';
    src: url('/assets/fonts/Muller Next Wide Trial ExBold.woff2') format('woff2'),
    url('/assets/fonts/Muller Next Wide Trial ExBold.woff') format('woff');
    font-weight: 800;
    font-style: normal;
}

html,
body {
    box-sizing: border-box;
}
*,
*::before,
*::after {
    box-sizing: border-box;
}
body {
    padding: 0;
    margin: 0;
}
input[type=text],
input[type=submit],
textarea {
    -webkit-appearance: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-weight: normal;
}
ul,
ol {
    padding: 0;
    margin: 0;
}
*:focus {
    outline: none !important;
}
svg,
img {
    display: block;
}
@media only screen and (max-width: 1024px) {
    .desktop-only {
        display: none !important;
    }
}
.mobile-only {
    display: none;
}
@media only screen and (max-width: 1024px) {
    .mobile-only {
        display: block;
    }
}
body {
    font-family: "Muller Next Wide";
    color: #fff;
    background-color: #000000;
}
a {
    text-decoration: none;
    color: #000;
}

.header__nav a {
    transition: color 0.3s;
}

.header__nav a:hover {
    color: #7553ED;
}

.footer-button:hover {
    color: #fff;
}

input {
    border-radius: 0 !important;
}
input, textarea, button {
    font-family: "Muller Next Wide";
}
.layer {
    width: 100%;
    max-width: 1920px;
}
.container {
    max-width: 1620px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    padding: 0 15px;
}
.header {
    padding: 20px 0;
    background: rgba(0, 0, 0, 0.75);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background: #0000004D;
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header__nav {
    display: flex;
    gap: 70px;
    font-size: 14px;
}

.header__nav a {
    text-decoration: none;
    color: #FFFFFF;
}

.header__contact {
    font-size: 14px;
    color: #7553ED;
    text-decoration: none;
    font-weight: 750;
    transition: color 0.3s;
}

/* Мобильное меню */
.menu-toggle {
    display: none;
    font-size: 24px;
    color: #FFFFFF;
    background: none;
    border: none;
    cursor: pointer;
}

.dropdown {
    position: relative;
}

.dropdown-menu {
    display: none;
    position: absolute;
    left: 0;
    list-style: none;
    padding: 10px 0;
    margin: 0;
    z-index: 999;
    top: 50px;
}

/* Для плавного появления элементов списка */
.dropdown li {
    opacity: 0;
    transform: translateY(-10px);
    animation: fadeIn 0.3s ease forwards;
}

.btn-header {
    display: flex;
    gap: 10px;
    transition: all 0.3s;
}

.title-vector-img {
    max-width: 80px;
    margin-top: 20px;
}

.dropdown-first-level {
    display: flex;
    gap: 10px;
}

.cases__item-btn-wrap {
    display: flex;
    gap: 10px;
    align-items: center;
    border: 1px solid #7553ED4D;
    padding: 10px 30px;
    font-size: 14px;
    font-weight: 750;
    border-radius: 90px;
    transition: background-color 0.3s;
    cursor: pointer;
    text-transform: lowercase;
}

.dropdown-menu li {
    padding: 10px 20px;
    border-radius: 90px;
    border: 2px solid #7553ED;
    background-color: #000000d6;
    margin-bottom: 10px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: block; /* Каждый элемент на своей строке */
    white-space: nowrap; /* Запрещаем перенос текста */
    list-style: none; /* Убираем маркеры списка */
    width: fit-content; /* Ширина по размеру текста */
    cursor: pointer; /* Курсор при наведении */
}

.dropdown-menu a {
    color: #FFFFFF;
    text-decoration: none;
    display: block;
}

body .dropdown-menu-mob li a {
    padding: 5px 0;
}

/* Анимация появления пунктов меню */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Показываем меню при открытии */
.dropdown.open .dropdown-menu {
    display: block;
}

body .dropdown.open .dropdown-menu-mob {
    display: flex;
    gap: 10px;
}

body .dropdown-menu-mob {
    flex-wrap: wrap;
    top: 0;
    position: relative;
}

body .dropdown-menu-mob li {
    padding: 2px 20px;
    margin-bottom: 0;
}

.hero {
    position: relative;
    overflow: hidden;
}

.logo img {
    transition: transform 0.1s ease; /* Плавное вращение */
}



.hero__content {
    position: relative;
    z-index: 3;
    margin: 0 auto;
    text-align: left;
    padding-bottom: 100px;
    padding-top: 100px;

}

.hero__title__wrap {
    position: relative;
    padding-top: 250px;
}

.hero__title {
    font-size: 150px;
    font-weight: 750;
    line-height: 130px;
    text-transform: uppercase;
    margin: 0;
    position: relative;
    z-index: 99;
}

.hero__subtitle {
    font-size: 30px;
    line-height: 35px;
    max-width: 810px;
    margin: 0;
    padding-top: 30px;
    position: relative;
    z-index: 99;
}

.logo {
    color: #7C44FF;
    font-weight: bold;
    text-decoration: none;
    font-size: 24px;
    display: flex;
    align-items: center;
    position: relative;
    max-width: 185px;
    width: 100%;
}

body .logo-text {
    width: 100%;
    max-width: 185px;
    height: 15px;
    position: absolute;
    left: 20px;
}

.logo-img {
    width: 45px;
    height: 45px;
}

.sticky-main-logo {
    width: 100%;
    position: absolute;
    max-width: 675px;
    right: 160px;
    top: 50px;
}

.about-hero__section {
    padding-top: 70px;
}

.about__items {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding-bottom: 50px;
    position: relative;
    z-index: 99;
}

.about__item {
    padding: 20px 70px;
    font-size: 32px;
    font-weight: 750;
}

.what-we-do__items {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    padding-top: 60px;
    padding-bottom: 130px;
}

.what-we-do__item {
    font-size: 30px;
    font-weight: 400;
    display: flex;
    gap: 10px;
    align-items: center;
    margin-right: 20px;
}

.hero__sub-title {
    font-size: 80px;
    font-weight: 750;
    margin: 0;
}

.hero__desc {
    font-size: 120px;
    font-weight: 750;
    color: #7553ED;
    margin: 0;
    line-height: 95px;
    text-transform: lowercase;
}

.cases__items {
    margin-bottom: 40px;
}

.cases-tags {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    padding-top: 20px;
}

.cases-tag {
    padding: 10px 30px;
    border: 1px solid #7553ED4D;
    border-radius: 90px;
    font-size: 14px;
}

.cases__item {
    padding-top: 80px;
}

.cases__item-title {
    font-size: 40px;
    font-weight: 750;
    text-transform: lowercase;
}

.cases__item-top {
    max-width: 860px;
}

.cases__item-dsc {
    font-size: 20px;
    line-height: 26px;
}

.cases__item-buttons {
    display: flex;
    gap: 20px;
}



.cases__item-button {
    color: #7553ED;
    transition: color 0.3s;
}

.load-more {
    border: none;
    background: none;
}

.cases__item-btn-wrap:hover {
    background-color: #7553ED;
}

.cases__item-btn-wrap:hover .cases__item-button {
    color: #FFFFFF;
}

.cases__item-btn-wrap svg path {
    transition: fill 0.3s;
}

.cases__item-btn-wrap:hover svg path {
    fill: #000000;
}

.btn-header:hover .header__contact {
    color: #FFFFFF;
}

.btn-header svg path {
    transition: fill 0.3s;
}

.btn-header:hover svg path {
    fill: #7553ED;
}

.cases-slide-img img {
    width: 100%;
}

.cases-swiper {
    overflow: hidden;
    position: relative;
    margin-top: 20px;
    width: 100%;
}

.swiper-pagination {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: max-content !important;
    height: max-content;
    padding: 10px 5px;
    border-radius: 90px;
    background: #ffffff9e;
    justify-content: center;
    align-items: center;
}

body .swiper-pagination {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

body .swiper-horizontal>.swiper-pagination-bullets,.swiper-pagination-bullets.swiper-pagination-horizontal,.swiper-pagination-custom,.swiper-pagination-fraction {
    left: 10px;
}

.swiper-pagination-bullet {
    padding: 7px;
    position: relative;
    border: 2px solid #9b7cff; /* Внешнее кольцо */
    border-radius: 50%;
    background: transparent !important; /* Полупрозрачный фон */
    cursor: pointer;
    transition: all 0.3s ease;
}

.swiper-pagination-bullet::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    height: 50%;
    border-radius: 50%;
    background: transparent;
    transition: all 0.3s ease;
}

.swiper-pagination-bullet-active {
    background: rgba(255, 255, 255, 0.3);
}

.swiper-pagination-bullet-active::before {
    background: #7553ED;
}

.cases__item-bottom {
    position: relative;
}

.cases-title {
    padding-top: 80px;
    max-width: 1220px;
}

.sc-content {
    max-width: 560px;
}

/* Модальное окно */
.modal {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    align-items: center;
    justify-content: center;
}

body .modal-middle-content {
    padding: 30px;
}

body .modal-small-content {
    max-width: 49%;
}

body .modal-small-content-wrap {
    max-width: 100%;
}

.modal.active {
    display: block;
}

.modal-content {
    background: rgba(255, 255, 255, 0.5);
    color: #000;
    padding: 40px 60px;
    max-width: 850px;
    width: 100%;
    position: relative;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    height: 100%; /* Фиксированная высота для контейнера */
    display: flex;
    align-items: center;
}

.modal-content p {
    margin: 0;
    padding-bottom: 10px;
    font-size: 20px;
}

.modal-content h3 {
    margin-top: 0;
}

.modal-close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 24px;
    height: 24px;
    font-size: 27px;
    background: none;
    border: none;
    font-weight: 750;
    color: #7553ED;
    cursor: pointer;
}

.modal-content-wrap {
    max-width: 560px;
    display: flex;
    flex-direction: column; /* Располагаем элементы вертикально */
    justify-content: space-between; /* Размещаем блоки вверху и внизу */
    height: 100%; /* Занимает всю высоту родителя (800px) */
    width: 100%; /* Опционально: полная ширина */
    box-sizing: border-box;
}

.video-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); /* Полупрозрачный фон */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

.video-modal.active {
    opacity: 1;
    pointer-events: auto;
}

.video-modal-content {
    position: relative;
    width: 80%;
    max-width: 800px; /* Максимальная ширина */
    background: #000; /* Чёрный фон для видео */
    padding: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.video-modal-content iframe {
    width: 100%;
    height: 450px; /* Высота видео */
    border: none;
}

.video-modal-close {
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    border: none;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
    z-index: 1001;
    transition: color 0.2s ease;
}

.video-modal-close:hover {
    color: #ff0000; /* Красный цвет при наведении */
}

.top-modal-block-item {
    display: flex;
    justify-content: space-between;
}

.top-modal-block {
    display: grid;
    gap: 10px;
}

.bottom-modal-block {
    display: flex;
    justify-content: space-between;
    font-weight: 750;
    padding-top: 20px;
    border-top: 1px solid #000;
}

.projects-container {
    padding-top: 80px;
}

.project-card {
    flex: 1 1 calc(33.333% - 40px); /* Размер карточки: 1/3 строки минус отступы */
    max-width: calc(33.333% - 40px); /* Ограничение ширины */
    overflow: hidden;
    color: #fff;
    display: flex;
    gap: 40px;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box; /* Учитываем паддинги в размерах карточки */
}

.project-image {
    height: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    position: relative;
}

.unique-projects-swiper-wrapper {
    justify-content: space-between;
}

.project-content-title {
    font-size: 40px;
    font-weight: 750;
    line-height: 40px;
    min-height: 75px;
}

.project-image img {
    width: 100%;
    border-radius: 8px;
    max-width: 290px;
    height: 100%;
    max-height: 500px;
}

.project-content h3 {
    font-size: 20px;
    margin: 15px 0 10px;
    text-transform: lowercase;
}

.project-content p {
    font-size: 20px;
    padding-top: 20px;
    padding-bottom: 20px;
    margin: 0;
}

.project-button {
    margin-top: auto;
    display: inline-block;
    text-decoration: none;
    background-color: #000;
    color: #fff;
    border: 2px solid #fff;
    border-radius: 20px;
    padding: 10px 20px;
    font-size: 14px;
    font-weight: bold;
    transition: all 0.3s ease;
}

.project-button:hover {
    background-color: #fff;
    color: #000;
}

.footer {
    background-color: #000;
    color: #fff;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    padding-top: 90px;
}

.footer-left {
    max-width: 860px;
}

.footer-title {
    font-size: 80px;
    margin-bottom: 20px;
    font-weight: 750;
}

.footer-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-input,
.footer-textarea {
    width: 100%;
    padding: 20px 25px;
    font-size: 16px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #7553ED4D;
    color: #fff;
}

.footer-input::placeholder,
.footer-textarea::placeholder {
    color: #fff;
}

.footer-textarea {
    height: 100px;
    resize: none;
}

.footer-button {
    align-self: flex-start;
    font-size: 40px;
    background-color: #000;
    color: #7553ED;
    cursor: pointer;
    transition: all 0.3s;
    margin-top: 40px;
    border: none;
    font-weight: 750;
}



.footer-logo {
    text-align: center;
    color: #fff;
    text-transform: uppercase;
}

.footer-logo img {
    width: 100%;
    max-width: 550px;
}

.footer-logo h3 {
    font-size: 24px;
    margin: 10px 0;
}

.footer-bottom {
    background-color: #7553ED;
    padding: 10px 20px;
}

.social-wrap {
    display: flex;
    gap: 5px;
}

.footer-bottom-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
    justify-content: center;
}

.footer-bottom a {
    color: #fff;
    text-decoration: underline;
    font-size: 14px;
}

.footer-bottom a:hover {
    text-decoration: underline;
}

.social-section {
    padding: 50px 0;
}

.social-header {
    margin-bottom: 30px;
}

.social-title {
    font-size: 36px;
    text-transform: uppercase;
    margin-bottom: 10px;
    color: #fff;
}

.social-description {
    font-size: 18px;
    margin-bottom: 20px;
}

.social-button {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    text-transform: uppercase;
    background-color: transparent;
    border: 2px solid #fff;
    color: #fff;
    text-decoration: none;
    transition: 0.3s;
}

.social-button:hover {
    background-color: #fff;
    color: #000;
}


.social-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 50px 0;
}

.social-card {
    flex: 1 1 calc(20% - 20px);
    text-align: center;
    transition: transform 0.3s;
    color: #fff;
}

.social-card:hover {
    transform: scale(1.05);
    background-color: #222;
}

.social-card-img {
    max-width: 100%;
    height: 100%;
}

.social-card-text {
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 10px;
}

.social-swiper-wrapper {
    gap: 40px;
}

.swiper-container {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.swiper-wrapper {
    display: flex;
    transition: transform 0.3s ease;
}

.swiper-slide {
    flex-shrink: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}

.social-card {
    width: 100%;
    display: flex;
    justify-content: center;
}

.social-card-img {
    width: auto;
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
}


/* Мобильное меню */
.mobile-menu {
    position: sticky;
    display: none;
    top: 85px;
    left: 0;
    width: 100%;
    z-index: 999;
    flex-direction: column;
    gap: 15px;
    padding: 20px 50px;
    opacity: 0; /* Скрываем по умолчанию */
    pointer-events: none; /* Отключаем клики */
    transform: scale(0.95); /* Уменьшаем размер */
    transition: opacity 0.3s ease, transform 0.3s ease; /* Плавные переходы */
}

.mobile-menu.open {
    opacity: 1; /* Показываем меню */
    pointer-events: auto; /* Включаем клики */
    transform: scale(1); /* Восстанавливаем размер */
    top: 82px;
    display: flex;
}

.mobile-menu-nav {
    display: grid;
}

.mobile-menu a {
    text-decoration: none;
    color: #fff;
    padding: 10px 0;
    font-size: 16px;
    border-bottom: 1px solid #ddd;
}


.menu-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.menu-toggle span {
    display: block;
    width: 30px;
    height: 3px;
    background: #fff;
    transition: all 0.3s ease;
}

.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

.project-content {
    display: flex;
    flex-direction: column;
}

.project-for__title {
    display: flex;
    gap: 20px;
    font-size: 80px;
    color: #7553ED;
    font-weight: 750;
    align-items: center;
}

.project-for-items-wrapper {
    overflow: hidden;
    width: 100%;
}

.project-for-items {
    display: flex;
    overflow: hidden;
    white-space: nowrap;
    background-color: #fff;
    margin-top: 60px;
    align-items: center;
    will-change: transform;
}

.project-for-item {
    flex: 0 0 auto;
    padding: 15px 30px;
    max-width: 200px;
    box-sizing: border-box;
    width: 100%;
    display: flex;
    justify-content: center;
}

.project-for-item img {
    width: 100%;
    display: block;
    height: 100%;
    max-height: 60px;
}

.swiper-button-prev,
.swiper-button-next {
    opacity: 0; /* Скрываем стрелки по умолчанию */
    transition: opacity 0.3s ease; /* Плавное появление */
    pointer-events: none; /* Отключаем клики, пока стрелки скрыты */
}

.swiper-container:hover .swiper-button-prev,
.swiper-container:hover .swiper-button-next,
.swiper-button-prev.visible,
.swiper-button-next.visible {
    opacity: 1; /* Показываем стрелки */
    pointer-events: auto; /* Включаем клики */
}

.swiper-button-prev,
.swiper-button-next {
    color: #000; /* Цвет стрелок */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-button-prev, .swiper-rtl .swiper-button-next {
    left: 60px !important;
}

.swiper-button-next, .swiper-rtl .swiper-button-prev {
    right: 60px !important;
}

body .swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
    font-weight: 750;
    color: #7553ED;
}

body .swiper-button-next:after, .swiper-button-prev:after {
    font-weight: 750;
    color: #7553ED;
}

.project-for-item img[alt="Локомотив"],
.project-for-item img[alt="Пфк краснодар"],
.project-for-item img[alt="Добмашний"] {
    width: 100%;
}

.project-for-item:has(img[alt="Локомотив"]) {
    max-width: 115px;
}

.project-for-item:has(img[alt="Пфк краснодар"]),
.project-for-item:has(img[alt="Добмашний"]) {
    max-width: 140px;
}

@media (max-width: 1710px) {
    .container {
        max-width: 1480px;
    }
    .sticky-main-logo {
        right: 15px;
        max-width: 620px;
        top: 0;
    }
    .cases-slide-img img {
        min-height: auto;
    }
    .hero__title__wrap {
        padding-top: 190px;
    }
    .footer-button {
        margin-bottom: 20px;
        margin-top: 20px;
    }
    .footer-logo img {
        max-width: 490px;
    }
    .footer-title {
        font-size: 60px;
    }
}

@media (max-width: 1500px) {
    .container {
        max-width: 1275px;
    }
    .social-swiper-wrapper {
        gap: 20px;
    }
    .modal-content {
        max-width: 780px;
    }
}


@media (max-width: 1320px) {
    .hero__title {
        font-size: 100px;
        line-height: 100px;
    }
    .sticky-main-logo {
        max-width: 500px;
        right: 275px;
    }
    .hero__subtitle {
        font-size: 25px;
    }
    .about__item {
        font-size: 25px;
    }
    .hero__sub-title {
        font-size: 55px;
    }
    .what-we-do__item {
        font-size: 22px;
    }
    .hero__desc {
        font-size: 95px;
        line-height: 80px;
    }
    .hero__title__wrap {
        max-width: 1200px;
    }
    .sticky-main-logo {
        right: 100px;
    }
    .footer-title {
        font-size: 60px;
        line-height: 50px;
    }
    .footer-button {
        padding: 0;
        margin-top: 20px;
    }
    .project-for__title {
        font-size: 60px;
    }
}

@media (max-width: 1021px) {
    .social-swiper-wrapper {
        gap: 0;
    }

    .swiper-slide {
        flex: auto;
        box-sizing: border-box;
    }

    .swiper-pagination {
        display: none;
    }
    .project-card {
        flex: auto;
        max-width: 100%;
    }
    .project-image {
        height: 450px;
        padding: 30px 50px;
    }
    .sticky-main-logo {
        right: 0;
    }
    .hero__title__wrap {
        max-width: 900px;
    }
    .desktop__nav {
        display: none;
    }
    .header__contact {
        display: none;
    }
    body .swiper-pagination {
        position: absolute;
        top: auto;
        bottom: 20px;
        left: auto;
        right: 50%;
        transform: translateY(-50%);
        flex-direction: row;
        display: flex;
        gap: 10px;
        justify-content: center;
        align-items: center;
        padding: 10px;
    }
    body .swiper-horizontal>.swiper-pagination-bullets,.swiper-pagination-bullets.swiper-pagination-horizontal,.swiper-pagination-custom,.swiper-pagination-fraction {
        left: 50%;
        transform: translateX(-50%);
    }
    .header__nav {
        display: none;
    }

    .menu-toggle {
        display: grid;
    }
    .mobile-menu a {
        border-bottom: none;
    }
    .dropdown {
        padding: 10px 0;
    }
    .hero__content {
        padding-top: 0;
    }
    .btn-header svg path {
        display: none;
    }
    body .modal-small-content {
        max-width: 100%;
    }
    .dropdown-menu li {
        background-color: unset;
    }
    .swiper-button-next, .swiper-rtl .swiper-button-prev {
        right: 10px !important;
    }

    .swiper-button-prev, .swiper-rtl .swiper-button-next {
        left: 10px !important;
    }
}

@media (max-width: 980px) {
    .footer-right {
        display: none;
    }
    .footer-container {
        margin-bottom: 70px;
    }
    .footer-container {
        display: block;
    }
}

@media (max-width: 895px) {
    .hero__title {
        font-size: 70px;
        line-height: 70px;
    }
    .hero__subtitle {
        font-size: 22px;
        line-height: 30px;
        max-width: 600px;
    }
    .sticky-main-logo {
        right: 50px;
    }
    .about__item {
        padding: 10px 20px;
        font-size: 20px;
    }
    .what-we-do__item {
        font-size: 18px;
    }
    .cases-title {
        padding-top: 40px;
    }
    .what-we-do__items {
        padding-bottom: 50px;
    }
    .hero__desc {
        font-size: 75px;
        line-height: 70px;
    }
    .cases__item-title {
        font-size: 38px;
    }
    .project-content-title {
        font-size: 32px;
        line-height: 34px;
    }
    .project-content p {
        font-size: 17px;
    }
    .projects-container {
        padding-top: 50px;
    }
    .project-for__title {
        font-size: 40px;
    }
    .project-for__title img {
        width: 50px;
    }
    .header {
        padding: 10px 0;
    }
    .footer {
        margin-top: 50px;
    }

}

@media (min-width: 640px) and (max-width: 896px) {
    .container {
        padding: 0 35px;
    }
}


@media (max-width: 640px) {
    .hero__title {
        font-size: 50px;
        line-height: 54px;
    }
    .hero__subtitle {
        font-size: 16px;
        line-height: 19px;
        max-width: 400px;
    }
    .sticky-main-logo {
        max-width: 250px;
    }
    .hero__title__wrap {
        padding-top: 150px;
    }
    .hero__content {
        padding-bottom: 30px;
    }
    .sticky-main-logo {
        right: 85px;
        max-width: 250px;
        top: 65px;
    }
    .about__item {
        font-size: 16px;
    }
    .hero__sub-title {
        font-size: 30px;
    }
    .what-we-do__items {
        padding-top: 30px;
    }
    .what-we-do__item {
        font-size: 16px;
    }
    .cases-title {
        padding-top: 30px;
    }
    .hero__desc {
        font-size: 60px;
        line-height: 55px;
    }
    .cases-tag {
        font-size: 12px;
        padding: 5px 20px;
    }
    .cases__item {
        padding-top: 40px;
    }
    .cases__item-title {
        font-size: 22px;
    }
    .cases__item-dsc {
        font-size: 16px;
        line-height: 20px;
    }
    .modal-content {
        padding: 20px 30px;
    }
    .project-content-title {
        font-size: 22px;
    }
    .project-content p {
        font-size: 16px;
    }
    .project-content-title {
        min-height: 50px;
    }
    .footer-title {
        font-size: 30px;
    }
    .project-for__title {
        font-size: 30px;
    }
    .project-for__title img {
        width: 40px;
    }
    .title-vector-img {
        max-width: 40px;
    }
    .footer-bottom-container {
        gap: 15px;
    }
    .swiper-button-next:after {
        font-size: 25px !important;
    }
    .swiper-button-prev:after {
        font-size: 25px !important;
    }

    .about-hero__section {
        padding-top: 40px;
    }
    .about__items {
        padding-bottom: 10px;
    }
    .footer {
        margin-top: 0;
    }

}
@media (max-width: 540px) {
    .project-image {
        height: 380px;
        padding: 40px 60px;
    }
    .sticky-main-logo {
        right: 0;
    }
    .hero__title {
        font-size: 42px;
        line-height: 45px;
    }
    .hero__subtitle {
        font-size: 14px;
        line-height: 18px;
        max-width: 305px;
    }
    .about__item {
        font-size: 10px;
    }
    .what-we-do__item img {
        width: 12px;
    }
    .what-we-do__items {
        gap: 12px;
    }
    .what-we-do__item {
        font-size: 11px;
        gap: 5px;
        margin-right: 0;
    }
    .hero__desc {
        font-size: 40px;
        line-height: 40px;
    }
    .cases__item-dsc {
        font-size: 13px;
        line-height: 18px;
    }
    .cases__item-button {
        font-size: 11px;
    }
    .project-image {
        height: 315px;
    }
    body .swiper-pagination {
        gap: 0;
        padding: 5px;
    }
    .modal-content-wrap {
        font-size: 10px;
    }
    .modal-content {
        padding: 10px;
    }
    .social-section {
        padding-top: 20px;
        padding-bottom: 0;
    }
    .cases__items {
        margin-bottom: 0;
    }
    .project-for__title {
        font-size: 26px;
    }
    .project-for__title img {
        width: 30px;
    }
    .modal-content-wrap {
        padding-right: 20px;
    }
    .modal-close {
        top: 0;
        right: 5px;
    }
}

@media (max-width: 470px) {
    .project-image {
        height: 270px;
    }
}